Restore a surface
curl --request POST \
--url https://api.hq.zone/v1/api/surfaces/{id}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hq.zone/v1/api/surfaces/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hq.zone/v1/api/surfaces/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcome": "<string>",
"surface_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Conversations
Restore a surface
Initiates restoration of a previously paused or archived app surface so it can run again. Scoped to the caller’s workspace, and the caller must be able to access the surface’s backing conversation. Returns the surface id and the restore outcome. Returns 404 if the surface is not found in the caller’s workspace.
POST
/
v1
/
api
/
surfaces
/
{id}
/
restore
Restore a surface
⌘I